curl -X POST "https://YOUR_BASE_URL/comparisons/execute_multiple" \
-H "Authorization: Bearer <api-key>" \
-H "Workspace-Id: <workspace-id>" \
-H "Content-Type: application/json" \
-d '{
"agent_run_id": "aaaaaaaa-1111-2222-3333-444444444444",
"comparison_agent_configs": [
{
"id": 1,
"configuration": {
"name": "orders comparison",
"source_datasource_id": "aaaaaaaa-0000-0000-0000-000000000001",
"target_datasource_id": "bbbbbbbb-0000-0000-0000-000000000002",
"source_dataset_id": "cccccccc-0000-0000-0000-000000000003",
"target_dataset_id": "dddddddd-0000-0000-0000-000000000004",
"configuration": {
"source_columns": ["order_id", "total"],
"target_columns": ["order_id", "total"],
"primary_keys_source": ["order_id"],
"primary_keys_target": ["order_id"]
}
}
}
]
}'
{
"message": "Comparisons submitted for execution",
"mapped_run_ids": {
"1": 1043
}
}
Comparisons
Execute Multiple Comparisons
Execute a batch of comparisons as part of an agent run.
POST
/
comparisons
/
execute_multiple
curl -X POST "https://YOUR_BASE_URL/comparisons/execute_multiple" \
-H "Authorization: Bearer <api-key>" \
-H "Workspace-Id: <workspace-id>" \
-H "Content-Type: application/json" \
-d '{
"agent_run_id": "aaaaaaaa-1111-2222-3333-444444444444",
"comparison_agent_configs": [
{
"id": 1,
"configuration": {
"name": "orders comparison",
"source_datasource_id": "aaaaaaaa-0000-0000-0000-000000000001",
"target_datasource_id": "bbbbbbbb-0000-0000-0000-000000000002",
"source_dataset_id": "cccccccc-0000-0000-0000-000000000003",
"target_dataset_id": "dddddddd-0000-0000-0000-000000000004",
"configuration": {
"source_columns": ["order_id", "total"],
"target_columns": ["order_id", "total"],
"primary_keys_source": ["order_id"],
"primary_keys_target": ["order_id"]
}
}
}
]
}'
{
"message": "Comparisons submitted for execution",
"mapped_run_ids": {
"1": 1043
}
}
Bearer token. Format:
Bearer <api-key>Your workspace UUID.
UUID of the agent run this batch belongs to.
List of comparison configurations to execute.
Show comparison_agent_configs[]
Show comparison_agent_configs[]
Config ID used to map results back to the original configuration.
Full comparison configuration. See Create Comparison for the
configuration schema.Response
Status message.
Map of config ID to job run ID. Use the run IDs to monitor progress via the Jobs API.
curl -X POST "https://YOUR_BASE_URL/comparisons/execute_multiple" \
-H "Authorization: Bearer <api-key>" \
-H "Workspace-Id: <workspace-id>" \
-H "Content-Type: application/json" \
-d '{
"agent_run_id": "aaaaaaaa-1111-2222-3333-444444444444",
"comparison_agent_configs": [
{
"id": 1,
"configuration": {
"name": "orders comparison",
"source_datasource_id": "aaaaaaaa-0000-0000-0000-000000000001",
"target_datasource_id": "bbbbbbbb-0000-0000-0000-000000000002",
"source_dataset_id": "cccccccc-0000-0000-0000-000000000003",
"target_dataset_id": "dddddddd-0000-0000-0000-000000000004",
"configuration": {
"source_columns": ["order_id", "total"],
"target_columns": ["order_id", "total"],
"primary_keys_source": ["order_id"],
"primary_keys_target": ["order_id"]
}
}
}
]
}'
{
"message": "Comparisons submitted for execution",
"mapped_run_ids": {
"1": 1043
}
}
⌘I